package com.ruoyi.system.mapper.stamp;

import com.ruoyi.system.domain.stamp.StampUserConfig;
import com.ruoyi.system.domain.stamp.StampUserConfigExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StampUserConfigMapper {
    long countByExample(StampUserConfigExample example);

    int deleteByExample(StampUserConfigExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StampUserConfig record);

    int insertSelective(StampUserConfig record);

    List<StampUserConfig> selectByExample(StampUserConfigExample example);

    StampUserConfig selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StampUserConfig record, @Param("example") StampUserConfigExample example);

    int updateByExample(@Param("record") StampUserConfig record, @Param("example") StampUserConfigExample example);

    int updateByPrimaryKeySelective(StampUserConfig record);

    int updateByPrimaryKey(StampUserConfig record);
}